Opened 11 months ago

Closed 13 days ago

#59633 closed defect (invalid)

Poppler needs libcryptopp

Reported by: Liontooth (David Liontooth) Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version: 2.6.2
Keywords: Cc: jmroot (Joshua Root), Schamschula (Marius Schamschula)
Port: poppler

Description

:info:build dyld: Library not loaded: /opt/local/lib/libcrypto.1.0.0.dylib
:info:build   Referenced from: /opt/local/lib/libxar.1.dylib
:info:build   Reason: image not found

Poppler builds fine with libcryptopp.

Change History (5)

comment:1 Changed 11 months ago by mf2k (Frank Schima)

Trac only recognizes email addresses or GitHub handles.

Last edited 11 months ago by mf2k (Frank Schima) (previous) (diff)

comment:2 Changed 11 months ago by mf2k (Frank Schima)

Cc: {devans @… openmaintainer removed
Keywords: Dependency removed
Owner: set to dbevans
Status: newassigned

comment:3 Changed 11 months ago by jmroot (Joshua Root)

Cc: jmroot Schamschula added

This snippet out of context doesn't give enough information; please attach the full log. But I don't see any mention of libcryptopp, just libcrypto which is part of openssl which xar already depends on.

comment:4 Changed 11 months ago by Schamschula (Marius Schamschula)

On my system /opt/local/lib/libxar.1.dylib is calling for /opt/local/lib/libcrypto.1.1.dylib. It looks like you have an old version of xar and perhaps a new version of openssl. Have you run port selfupdate or port sync recently?

Last edited 13 days ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:5 Changed 13 days ago by ryandesign (Ryan Schmidt)

Resolution: invalid
Status: assignedclosed
Note: See TracTickets for help on using tickets.